robot-playerprint(1)

NAME
robot-playerprint - prints out sensor data to the console

SYNOPSIS
robot-playerprint [options] <device>

DESCRIPTION
robot-playerprint prints out sensor data to the console. It is useful mainly for verifying that a device is working during the setup or debugging process. If you want to visualize data, try robot-playerv. If you want to log data to a file, try the writelog driver.

OPTIONS

-h host
    connect to Player on this host (default: localhost).

-p port
    connect to Player on this TCP port (default: 6665).

-r rate
    request data update at rate in Hz (default: 10Hz).

-i index
    the index of the device (default: 0).

device
    name of the sensor to print data from (e.g. laser).

AUTHOR
Player was written by Brian Gerkey <gerkey@users.sourceforge.net> and contributors. This manual page was written by Daniel Hess for the Debian Project.

SEE ALSO
The HTML documentation in /usr/share/doc/player/html of the robot-player-doc package. robot-playerv(1)